List cover
GET
/cover
const url = 'https://example.com/cover?from=2026-04-15&to=2026-04-15';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/cover?from=2026-04-15&to=2026-04-15' \ --cookie bottle.session_token=<bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”from
required
string format: date
to
required
string format: date
Responses
Section titled “Responses”Cover
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
day
required
string format: date
userId
required
string
userName
required
string
forUserId
required
string | null
forUserName
required
string | null
patchId
required
UUID v7
string | null format: uuid
patchName
required
string | null
note
required
string | null
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "patchId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}